
//#define CUSTOM_SETTINGS
//#define INCLUDE_VOICE_RECOGNIZER_SHIELD
//#define INCLUDE_MUSIC_PLAYER_SHIELD
//#define INCLUDE_TERMINAL_SHIELD


int Vcapteffort; // variable contenant la valeur numérique convertie de la tension du capteur d'effort
float voltageEffort; // variable contenant la valeur de la tension recalculée de Vcapteffort

/* Include 1Sheeld library. */
#include <OneSheeld.h>

#include <Servo.h>


Servo pince;//servomoteur de la pince
Servo poignet;//servomoteur du poignet

/* Voice commands set by the user. */

const char saisirCommand[] = "saisir";
const char ouvrirCommand[] = "ouvrir";


float zOrientation; // variable contenant l'info d'orientation du smartphone suivant l'axe z
float newzOrientation;//
float yOrientation; // variable contenant l'info d'orientation du smartphone suivant l'axe y
float newyOrientation;
int ecrasement=10; // valeur de l'écrasement en mm du gobelet pour saisie

void setup()
{
   
  /* Start Communication. */
  OneSheeld.begin();
  
  pince.attach(5);// attache du servomoteur de la pince sur la sortie 5
  poignet.attach(6);// attache du servomoteur du poigner sur la sortie 6

  pince.write(0); // initialisation pince fermée
  poignet.write(0); //initialisation position poignet

  VoiceRecognition.start();
}

void loop () 
{
  
         
    // Check axis orientation.

  zOrientation = OrientationSensor.getZ();//lecture orientation smartphone pour poignet


    if(((zOrientation < 90)&(zOrientation > -90 )))
 
     { 
    
       newzOrientation=map(zOrientation,-90,90,0,180);
       poignet.write( newzOrientation); 
       delay(100);  
         
      } 
              
   if(VoiceRecognition.isNewCommandReceived())
   {
   
   
       if(!strcmp(saisirCommand,VoiceRecognition.getLastCommand()))
         {
            newyOrientation=180;
            Vcapteffort = analogRead(A3); // acquisition et conversion numérique de la tension présente sur la broche A0
            voltageEffort =Vcapteffort*(5.0/1023.0); // calcul de la tension recalculée de Vcapteffort
           
            while( voltageEffort <3)
              {
                 pince.write(newyOrientation); 
                 delay(100);  
                 newyOrientation=newyOrientation - 1;
                 Vcapteffort = analogRead(A3); // acquisition et conversion numérique de la tension présente sur la broche A0
                 voltageEffort =Vcapteffort*(5.0/1023.0); // calcul de la tension recalculée de Vcapteffort
                
              }
              delay(2000); // tempo pour visualiser la transistion approche/saisie
              
              newyOrientation=newyOrientation - 2*ecrasement; //calcul de la nouvelle position des machoires
              pince.write(newyOrientation); 
              delay(100);
          }
    
         
     if(!strcmp(ouvrirCommand,VoiceRecognition.getLastCommand()))
        
        {
      
            newyOrientation=160;
            pince.write(newyOrientation); 
            delay(500);  
          
        }
 
  }
  
}

